> For the complete documentation index, see [llms.txt](https://docs.giga.store/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.giga.store/api/getting-started.md).

# Getting started

Gigastore provides an API for integrating eSIM into websites and mobile apps.

The API is available in REST JSON format and comes with a Postman collection and Open API specification. Stay informed of our documentation to keep our API and services up-to-date.

You can check the collections and specs here:

[Postman Collection](/api/postman-collection.md)

[Open API Specification](/api/open-api-specification.md)

To start with an API integration, check the method to authorize your requests:

[API Authentification](/api/api-authentification.md)

Here, you will find the core elements of our APIs.&#x20;

[Offering Packages](/api/offering-packages.md)

[Countries API](/api/countries-api.md)

[Customers](/api/customers.md)

[First Package](/api/first-package.md)

[eSIM Profiles](/api/esim-profiles.md)

[Top-up](/api/top-up.md)

&#x20;&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.giga.store/api/getting-started.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
